Loading...
Searching...
No Matches
seqan3::unexpected_end_of_input Struct Reference
IO

Thrown if I/O was expecting more input (e.g. a delimiter or a new line), but the end of input was reached. More...

`#include <seqan3/io/exception.hpp>`

Inheritance diagram for seqan3::unexpected_end_of_input:
[legend]

## Public Member Functions

| unexpected_end_of_input (std::string const &s)
| Constructor that forwards the exception string.
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)

## Detailed Description

Thrown if I/O was expecting more input (e.g. a delimiter or a new line), but the end of input was reached.

The documentation for this struct was generated from the following file:

- io/exception.hpp

Hide me